System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class, AllowMultiple=true, Inherited=true)

provides a mechanism by which toolbox items can be marked for use only with designers that have a matching attribute or code that determines whether the item should be enabled or disabled in the toolbox.

A can be applied to a to indicate a filter string and filter type that specify when to enable or disable the item. can also be applied to a designer to indicate its requirements for enabling items in the toolbox. This type of attribute can be used to indicate that a toolbox item can only be enabled when a designer with a matching filter string is being used. The type of the filter is indicated in the property by a that indicates whether and how a filter string match is used, or whether to use custom code to determine whether to enable an item.

Specifies the filter string and filter type to use for a toolbox item.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified filter string.

  The filter string for the toolbox item.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified filter string and type.

  The filter string for the toolbox item.
  A indicating the type of the filter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added To be added: an object of type 'bool' To be added The object to compare.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the filter string for the toolbox item.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ToolboxItemFilterType To be added: an object of type 'ToolboxItemFilterType'

  The type of the filter, along with any existing on the current designer, indicates the rules to use to determine whether a particular toolbox item should be enabled in the toolbox.

  Gets the type of the filter.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Indicates whether the specified object has a matching filter string.

  true if the specified object has a matching filter string; otherwise, false.

  The object to test for a matching filter string.
- Method
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object' To be added

  Gets the type ID for the attribute.